%global amalgamation_version 3430000
%global debug_package %nil
Name:                sqlite-jdbc
Version:             3.43.0.0
Release:             1
Summary:             SQLite JDBC library
License:             ASL 2.0 and BSD and ISC
URL:                 https://github.com/xerial/sqlite-jdbc
Source0:             https://github.com/xerial/sqlite-jdbc/archive/%{version}/sqlite-jdbc-%{version}.tar.gz
Source1:             https://www.sqlite.org/2023/sqlite-amalgamation-%{amalgamation_version}.zip
BuildRequires:       gcc maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-antrun-plugin) dos2unix perl
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:) sqlite-devel
BuildRequires:       java-11-openjdk-devel
Requires:            java-11-openjdk
%description
SQLite JDBC, is a library for accessing and
creating SQLite database files in Java.

%package javadoc
Summary:             Javadoc for %{name}
BuildArch:           noarch
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin
%pom_remove_plugin com.diffplug.spotless:spotless-maven-plugin
%pom_remove_dep org.graalvm.sdk:graal-sdk

sed -i -e '/org\.graalvm\.sdk/ d' src/main/java9/module-info.java
rm src/main/java9/org/sqlite/nativeimage/SqliteJdbcFeature.java

dos2unix SQLiteJDBC.wiki
mkdir target
cp %{SOURCE1} target/sqlite-$(sed -e 's/^version=//' VERSION)-amal.zip
%mvn_file : %{name}


%build
export JAVA_HOME=%{_jvmdir}/java-11-openjdk
%make_build native
%mvn_build -f -- \
    -Dproject.build.outputTimestamp=$(date -u -d @${SOURCE_DATE_EPOCH:-$(date +%%s)} +%%Y-%%m-%%dT%%H:%%M:%%SZ)

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README.adoc {USAGE,SECURITY}.md SQLiteJDBC.wiki
%license LICENSE* NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE* NOTICE

%changelog
* Mon Sep 25 2023 liyanan <thistleslyn@163.com> - 3.43.0.0-1
- update to 3.43.0.0

* Mon Aug 3 2020 Jeffery.Gao <gaojianxing@huawei.com> - 3.15.1-1
- Package init
